<div class="flex flex--right">
  <button mat-fab color="primary" class="mr-4" *ngIf="!movie.isCurrentUserFavorite" (click)="like()">Like</button>
  <button mat-fab color="primary" class="mr-4" *ngIf="movie.isCurrentUserFavorite" (click)="dislike()">Dislike</button>
  <button *ngIf="isAdmin()" mat-fab color="warn" (click)="deleteMovie()">Usuń</button>
</div>
<div class="flex flex--justify-center">
  <div>
    <img src="{{movie.imageURL}}" alt="{{movie.title}}">
  </div>
  <div>
    <h1>{{movie.title}}</h1>
    <div><p>{{movie.description}}</p></div>
  </div>
</div>
<div>
  <h1>Informacje</h1>
  <div>
    <span class="name">Reżyser:</span>
    <span class="value">{{movie.director}}</span>
  </div>
  <mat-divider class="mv-10"></mat-divider>

  <div>
    <span class="name">Budżet:</span>
    <span class="value">{{movie.budget}}</span>
  </div>
  <mat-divider class="mv-10"></mat-divider>

  <div>
    <span class="name">Dochód:</span>
    <span class="value">{{movie.revenue}}</span>
  </div>
  <mat-divider class="mv-10"></mat-divider>

  <div>
    <span class="name">Polubienia:</span>
    <span class="value">{{movie.favoritesCount}}</span>
  </div>
  <mat-divider class="mv-10"></mat-divider>

  <div>
    <span class="name">Gatunki:</span>
    <span class="value pr-6" *ngFor="let genre of movie.genresList">{{genre}}</span>
  </div>
  <mat-divider class="mv-10"></mat-divider>

  <div>
    <h4 class="name">Aktorzy:</h4>
    <div class="value-container">
      <div class="value pr-6 pb-4" *ngFor="let actor of movie.cast">{{actor}}</div>
    </div>
  </div>
</div>

<div id="reviews">
  <h1>Opinie</h1>
  <div *ngFor="let review of movie.reviews" class="mb-26">
    <div class="stars">{{review.rating}}/5
      <span *ngIf="this.getUserId() === review.author[0]._id" (click)="removeReview(review)" class="remove-text">Usuń</span>
    </div>
    <div>{{review.description}}</div>
    <div class="text-right">{{review.author[0].firstName}} {{review.author[0].lastName}}</div>
  </div>
</div>


<div *ngIf="isAuthorized()" class="mb-40">
  <mat-form-field class="full-width">
    <textarea matInput name="description" [(ngModel)]="review.description" placeholder="Opis"></textarea>
  </mat-form-field>

  <div class="flex flex--right">
    <mat-form-field class="pr-8">
      <mat-select required [(ngModel)]="review.rating" placeholder="Wybierz ocenę">
        <mat-option value="1">Zły</mat-option>
        <mat-option value="2">Ujdzie</mat-option>
        <mat-option value="3">Średni</mat-option>
        <mat-option value="4">Dobry</mat-option>
        <mat-option value="5">Bardzo dobry</mat-option>
      </mat-select>
    </mat-form-field>

    <button mat-flat-button color="warn" id="addReview" (click)="addReview()" [disabled]="!review.rating">Dodaj opinię</button>
  </div>
</div>
